"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @file http 常量
 * @author david wang
 */
var enum_1 = require("./enum");
/**
 * @const http 全局默认配置项
 */
exports.HTTP_DEFAULT_CONFIG = {
    cache: enum_1.CacheType.Normal,
    cacheDuration: 0,
    forbidCacheKey: 'forbid_cache',
    timeout: 0,
    validateStatus: function (status) {
        return status >= 200 && status < 300;
    },
    responseResultKey: {
        code: 'code',
        data: 'data',
        message: 'message'
    },
    successCode: [0]
};
/**
 * @const 请求配置项 作用于单一请求
 */
exports.HTTP_DEFAULT_REQUEST_OPTION = {
    observe: enum_1.HttpObserveType.Body,
    responseType: 'json',
    withCredentials: false
};
