/**
 * @file http 类型
 * @author david wang
 */
/**
 * @enum 缓存的类型
 */
export declare enum CacheType {
    /**
     * 每次请求都先检查是否存在缓存，
     * 如果使用缓存
     * 如果不存在，则缓存最新值
     */
    Always = "always",
    /**
     * 每次请求都不缓存
     * 会默认给请求地址附加上forbid_cache_key
     */
    Never = "never",
    /**
     * 既不缓存也不附加forbid_cache_key
     */
    Normal = "normal"
}
/**
 * @enum http错误码类型
 */
export declare enum HttpErrorCodeType {
    Server = "server",
    Offline = "offline",
    UnAuth = "unauth",
    NotFound = "notfound",
    UnKnow = "unknow"
}
/**
 * @enum http 事件类型
 */
export declare enum HttpEventType {
    /**
     * 请求发送
     */
    Send = "send",
    /**
     * 上传中
     */
    Uploading = "uploading",
    /**
     * 下载中
     */
    Downloading = "downloading",
    /**
     * 成功响应
     */
    Response = "response"
}
/**
 * @enum http观察类型
 */
export declare enum HttpObserveType {
    Body = "body",
    Event = "event",
    Response = "response"
}
