"use strict";
/**
 * @file http 类型
 * @author david wang
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @enum 缓存的类型
 */
var CacheType;
(function (CacheType) {
    /**
     * 每次请求都先检查是否存在缓存，
     * 如果使用缓存
     * 如果不存在，则缓存最新值
     */
    CacheType["Always"] = "always";
    /**
     * 每次请求都不缓存
     * 会默认给请求地址附加上forbid_cache_key
     */
    CacheType["Never"] = "never";
    /**
     * 既不缓存也不附加forbid_cache_key
     */
    CacheType["Normal"] = "normal";
})(CacheType = exports.CacheType || (exports.CacheType = {}));
/**
 * @enum http错误码类型
 */
var HttpErrorCodeType;
(function (HttpErrorCodeType) {
    //服务器端错误
    HttpErrorCodeType["Server"] = "server";
    //断网
    HttpErrorCodeType["Offline"] = "offline";
    //未授权
    HttpErrorCodeType["UnAuth"] = "unauth";
    //404
    HttpErrorCodeType["NotFound"] = "notfound";
    // unknow
    HttpErrorCodeType["UnKnow"] = "unknow";
})(HttpErrorCodeType = exports.HttpErrorCodeType || (exports.HttpErrorCodeType = {}));
;
/**
 * @enum http 事件类型
 */
var HttpEventType;
(function (HttpEventType) {
    /**
     * 请求发送
     */
    HttpEventType["Send"] = "send";
    /**
     * 上传中
     */
    HttpEventType["Uploading"] = "uploading";
    /**
     * 下载中
     */
    HttpEventType["Downloading"] = "downloading";
    /**
     * 成功响应
     */
    HttpEventType["Response"] = "response";
})(HttpEventType = exports.HttpEventType || (exports.HttpEventType = {}));
;
/**
 * @enum http观察类型
 */
var HttpObserveType;
(function (HttpObserveType) {
    // 此类型返回的是response 具体数据
    HttpObserveType["Body"] = "body";
    // 此类型返回上传/下载事件
    HttpObserveType["Event"] = "event";
    // 此类型返回响应对象
    HttpObserveType["Response"] = "response";
})(HttpObserveType = exports.HttpObserveType || (exports.HttpObserveType = {}));
;
