"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 事件订阅和发布
 * @author david wang
 */
var PubSub = /** @class */ (function () {
    function PubSub() {
        this._topics = {};
    }
    /**
     * 订阅
     * @param topic
     * @param handle
     */
    PubSub.prototype.on = function (topic, handle) {
        if (topic in this._topics) {
            this._topics[topic].push(handle);
        }
        else {
            this._topics[topic] = [handle];
        }
    };
    /**
     * 发布
     * @param topic
     * @param args
     */
    PubSub.prototype.emit = function (topic) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        if (!(topic in this._topics))
            return;
        var handles = this._topics[topic];
        handles.forEach(function (handle) {
            if (typeof handle !== "function")
                return;
            handle.apply(null, args);
        });
    };
    /**
     * clear
     */
    PubSub.prototype.clear = function () {
        this._topics = {};
    };
    return PubSub;
}());
exports.PubSub = PubSub;
