"use strict";
/**
 * @file http response
 * @author david wang
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var enum_1 = require("./enum");
/**
 * @class 进度事件
 */
var HttpProgressEvent = /** @class */ (function () {
    function HttpProgressEvent() {
    }
    return HttpProgressEvent;
}());
/**
 * @class 上传进度事件类型
 */
var HttpUploadProgressEvent = /** @class */ (function (_super) {
    __extends(HttpUploadProgressEvent, _super);
    function HttpUploadProgressEvent(event) {
        var _this = _super.call(this) || this;
        _this.type = enum_1.HttpEventType.Uploading;
        _this.loaded = event.loaded;
        if (event.lengthComputable) {
            _this.total = event.total;
        }
        return _this;
    }
    return HttpUploadProgressEvent;
}(HttpProgressEvent));
exports.HttpUploadProgressEvent = HttpUploadProgressEvent;
/**
 * @class 下载进度事件
 */
var HttpDownloadProgressEvent = /** @class */ (function (_super) {
    __extends(HttpDownloadProgressEvent, _super);
    function HttpDownloadProgressEvent(event) {
        var _this = _super.call(this) || this;
        _this.type = enum_1.HttpEventType.Downloading;
        _this.loaded = event.loaded;
        if (event.lengthComputable) {
            _this.total = event.total;
        }
        return _this;
    }
    return HttpDownloadProgressEvent;
}(HttpProgressEvent));
exports.HttpDownloadProgressEvent = HttpDownloadProgressEvent;
/**
 * @class 响应错误
 * @description 本类的目的是统一错误接口
 */
var HttpResponseError = /** @class */ (function () {
    function HttpResponseError(response, options) {
        if (response === void 0) { response = {}; }
        if (options === void 0) { options = {}; }
        var data = response.data;
        var responseKey = options.responseResultKey;
        var status = this.status = response.status;
        this.statusText = response.statusText;
        this.headers = response.headers;
        this.message = data
            ? data[responseKey.message] || response.message
            : response.message;
        this.errorCode = data ? data[responseKey.code] : status;
        this.data = data;
    }
    return HttpResponseError;
}());
exports.HttpResponseError = HttpResponseError;
